public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Remigiusz Micielski" <remigiusz.micielski@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: gui-libs/xdg-desktop-portal-hyprland/
Date: Thu, 27 Apr 2023 16:37:50 +0000 (UTC)	[thread overview]
Message-ID: <1682613466.9a170a936d492d6b4912e898b2fa3a05f5fc5ef9.remigiusz.micielski@gentoo> (raw)

commit:     9a170a936d492d6b4912e898b2fa3a05f5fc5ef9
Author:     Remigiusz Micielski <remigiusz.micielski <AT> gmail <DOT> com>
AuthorDate: Thu Apr 27 16:36:28 2023 +0000
Commit:     Remigiusz Micielski <remigiusz.micielski <AT> gmail <DOT> com>
CommitDate: Thu Apr 27 16:37:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9a170a93

gui-libs/xdg-desktop-portal-hyprland: add 0.3.1

Signed-off-by: Remigiusz Micielski <remigiusz.micielski <AT> gmail.com>

 gui-libs/xdg-desktop-portal-hyprland/Manifest      |  1 +
 .../xdg-desktop-portal-hyprland-0.3.1.ebuild       | 73 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/gui-libs/xdg-desktop-portal-hyprland/Manifest b/gui-libs/xdg-desktop-portal-hyprland/Manifest
index 647f7f7a9..58d81857f 100644
--- a/gui-libs/xdg-desktop-portal-hyprland/Manifest
+++ b/gui-libs/xdg-desktop-portal-hyprland/Manifest
@@ -1 +1,2 @@
 DIST xdg-desktop-hyprland-0.3.0.tar.gz 50728 BLAKE2B ea139dd5d1f51e004494cdd5eb80b154a95d64dc40100e9f7da99808e9f24018dc1de4e4572906521beb850d22b7fcc4967c63993c274d2c8e550b11e7eb4367 SHA512 f303fd0fb5ea09c7e12b6435f4113d7d5d9bbe0a785f2da9beaf7a6f9184954a53a1ad5be2c865e9e7071f5079223e512038328598ac5a64238c307741aad974
+DIST xdg-desktop-hyprland-0.3.1.tar.gz 50517 BLAKE2B dddbf1b71da391aa9d6d030fd9bdeb7819e44f6d283aec75cea2d37c0d27468fe633f235679f62b9ca1b98d919c449c0006d40495fb60a3627270e7acccca087 SHA512 53fd43621aa4960f2fa3272feec062917efa6a74f59670fc95519e13ae37e92ee8881dadf6ac8c397225ea2bcf4f1fabd87bc7bbe20c035e97dd7654398ac711

diff --git a/gui-libs/xdg-desktop-portal-hyprland/xdg-desktop-portal-hyprland-0.3.1.ebuild b/gui-libs/xdg-desktop-portal-hyprland/xdg-desktop-portal-hyprland-0.3.1.ebuild
new file mode 100644
index 000000000..17ebcc66e
--- /dev/null
+++ b/gui-libs/xdg-desktop-portal-hyprland/xdg-desktop-portal-hyprland-0.3.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="xdg-desktop-portal backend for hyprland"
+HOMEPAGE="https://github.com/hyprwm/xdg-desktop-portal-hyprland"
+
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://github.com/hyprwm/xdg-desktop-portal-hyprland.git"
+	inherit git-r3
+else
+	KEYWORDS="~amd64"
+	SRC_URI="https://github.com/hyprwm/xdg-desktop-portal-hyprland/archive/refs/tags/v${PV}.tar.gz \
+		-> xdg-desktop-hyprland-${PV}.tar.gz"
+fi
+
+LICENSE="MIT"
+SLOT="0/9999"
+IUSE="elogind systemd"
+REQUIRED_USE="?? ( elogind systemd )"
+
+DEPEND="
+	>=media-video/pipewire-0.3.41:=
+	dev-libs/inih
+	dev-libs/wayland
+	dev-qt/qtbase
+	dev-qt/qtcore
+	dev-qt/qtgui
+	dev-qt/qtwayland:6
+	dev-qt/qtwidgets
+	media-libs/mesa
+	sys-apps/util-linux
+	x11-libs/libdrm
+	|| (
+		systemd? ( >=sys-apps/systemd-237 )
+		elogind? ( >=sys-auth/elogind-237 )
+		sys-libs/basu
+	)
+"
+RDEPEND="
+	${DEPEND}
+	sys-apps/xdg-desktop-portal
+"
+BDEPEND="
+	>=dev-libs/wayland-protocols-1.24
+	dev-libs/hyprland-protocols
+	virtual/pkgconfig
+"
+
+src_configure() {
+	local emesonargs=()
+	if use systemd; then
+		emesonargs+=(-Dsd-bus-provider=libsystemd)
+	elif use elogind; then
+		emesonargs+=(-Dsd-bus-provider=libelogind)
+	else
+		emesonargs+=(-Dsd-bus-provider=basu)
+	fi
+	meson_src_configure
+}
+
+src_compile() {
+	meson_src_compile
+	emake -C hyprland-share-picker all
+}
+
+src_install() {
+	meson_src_install
+	dobin "${S}/hyprland-share-picker/build/hyprland-share-picker"
+}


             reply	other threads:[~2023-04-27 16:37 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-27 16:37 Remigiusz Micielski [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-01 12:38 [gentoo-commits] repo/proj/guru:dev commit in: gui-libs/xdg-desktop-portal-hyprland/ Filip Kobierski
2025-01-14 11:29 David Roman
2025-01-14 11:29 David Roman
2024-10-31 13:38 Filip Kobierski
2024-10-31 12:54 Filip Kobierski
2024-10-31 12:41 Filip Kobierski
2024-10-31 11:14 David Roman
2024-10-31  2:49 John M. Harris, Jr.
2024-10-30  6:48 Filip Kobierski
2024-10-29  5:28 Viorel Munteanu
2024-07-22 19:29 Gonçalo Negrier Duarte
2024-07-22 19:29 Gonçalo Negrier Duarte
2024-07-22 16:32 John M. Harris, Jr.
2024-07-06 19:05 Gonçalo Negrier Duarte
2024-07-06 19:04 Gonçalo Negrier Duarte
2024-07-06 18:51 Gonçalo Negrier Duarte
2024-07-06 18:42 Gonçalo Negrier Duarte
2024-07-06 18:42 Gonçalo Negrier Duarte
2024-07-03  4:57 John M. Harris, Jr.
2024-07-03  4:46 John M. Harris, Jr.
2024-02-17 21:06 Julien Roy
2024-02-07 12:48 Steffen Winter
2024-01-03 12:35 Gonçalo Negrier Duarte
2024-01-02 11:40 Gonçalo Negrier Duarte
2023-12-10  7:51 Remigiusz Micielski
2023-12-04 18:00 Remigiusz Micielski
2023-12-03  9:32 Remigiusz Micielski
2023-11-27 15:04 Remigiusz Micielski
2023-11-22 18:26 Remigiusz Micielski
2023-11-22 18:17 Remigiusz Micielski
2023-11-22 17:27 Remigiusz Micielski
2023-10-11 13:45 Mia Neufeld
2023-10-08  5:53 Remigiusz Micielski
2023-10-07  9:11 Remigiusz Micielski
2023-10-07  9:11 Remigiusz Micielski
2023-09-30 14:05 Mia Neufeld
2023-09-29 16:01 Remigiusz Micielski
2023-09-29 16:01 Remigiusz Micielski
2023-09-29 13:27 Remigiusz Micielski
2023-09-29 13:27 Remigiusz Micielski
2023-09-29 13:20 Remigiusz Micielski
2023-09-24 18:40 Remigiusz Micielski
2023-08-11 14:17 Remigiusz Micielski
2023-05-30 15:44 Remigiusz Micielski
2023-04-24 20:38 Remigiusz Micielski
2023-04-24 20:38 Remigiusz Micielski
2023-04-24 20:38 Remigiusz Micielski
2023-04-24 12:28 Remigiusz Micielski
2023-04-22  9:45 Remigiusz Micielski
2023-04-11  9:47 Remigiusz Micielski
2023-04-11  9:37 Remigiusz Micielski
2023-04-11  8:41 Remigiusz Micielski
2023-04-11  8:30 Remigiusz Micielski
2023-04-11  8:30 Remigiusz Micielski
2023-04-10 20:45 Remigiusz Micielski

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1682613466.9a170a936d492d6b4912e898b2fa3a05f5fc5ef9.remigiusz.micielski@gentoo \
    --to=remigiusz.micielski@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox